Subject: [Ospf-manet] Re: Ospf-manet Digest, Vol 15, Issue 7

From: Aniket Desai <[email-masked]>
Date: Fri, 30 Mar 2007 11:10:15 -0500

This means that all MANET neighbors should be advertised on all MANET 
interfaces? That's some serious scalability problem. I think it's a 
good design to keep the interfaces separate from each other, because 
the physical properties of wireless interfaces may be different. 
There can be a long range interface with hundreds of neighbors and a 
very short range low power interface with only a few neighbors. Why 
should the power constrained short range interface need to know about 
the neighbors that are far away from it on the long range interface? 
An OSPF interface does not need to know about neighbors on other 
interfaces. I think this is a much more serious design flaw than 
having to advertise routable neighbors in the LSA for min cost SPF 
(over which, there was way too much contention on this WG).

Thanks,

Aniket

At 11:00 AM 3/30/2007, [email-masked] wrote:
>Send Ospf-manet mailing list submissions to
>         [email-masked]
>
>To subscribe or unsubscribe via the World Wide Web, visit
>         https://www1.ietf.org/mailman/listinfo/ospf-manet
>or, via email, send a message with subject or body 'help' to
>         [email-masked]
>
>You can reach the person managing the list at
>         [email-masked]
>
>When replying, please edit your Subject line so it is more specific
>than "Re: Contents of Ospf-manet digest..."
>
>
>Today's Topics:
>
>    1. Re: [Fwd: Re: [Ospf-manet] Re: Regarding MPR-OSPF]
>       (Emmanuel Baccelli)
>
>
>----------------------------------------------------------------------
>
>Message: 1
>Date: Fri, 30 Mar 2007 09:08:50 +0200
>From: Emmanuel Baccelli <[email-masked]>
>Subject: Re: [Fwd: Re: [Ospf-manet] Re: Regarding MPR-OSPF]
>To: [email-masked]
>Message-ID: <[email-masked]>
>Content-Type: text/plain; charset=ISO-8859-1; format=flowed
>
>
>Dear Richard,
>
>see answer below
>
>
> > So a router with only MANET interfaces is not a hybrid router.
> > Consider a router A that has only one MANET interface, but has
> > only 1-hop neighbors and no 2-hop neighbors on this interface.
> > (I.e., Hellos received from neighbors on this interface advertise
> > only routers that are neighbors of router A itself.) As a result,
> > router A has no MPRs.  Assume it also has no MPR selectors.
> >
> > A ----- B ===== C
> >
> > Now suppose router A has a neighbor B which has two MANET
> > interfaces, one of which connects it to router A, and the other
> > of which connects it to router C, which is not a neighbor of A.
> > Assume router C has the largest RID and is therefore the synch router.
> > Therefore, since router A is not a synch router (nor a neighbor of a
> > synch router) and has no MPRs or MPR selectors, it has no adjacencies!
> >
> > Therefore, it still looks like you need to select a synch router
> > for each MANET interface, or redefine a hybrid router to include
> > routers with multiple MANET interfaces.  Am I missing something?
> >
>
>
>Yes. According to section 5.2.4. Hello packets contain a TLV that will:
>
>"advertize the costs of links towards ALL its symmetric MANET neighbors.
>   If the router has several MANET interfaces, links to ALL the symmetric
>MANET neigbors over ALL the MANET interfaces of the router MUST have
>their costs listed."
>
>Thus MPR selection algorithms take into account neighbors on multiple
>MANET interfaces, similar to the way OLSR works. Therefore in your
>example, A will select B as MPR, and will bring up an adjacency with B.
>
>Emmanuel
>
>
>
>------------------------------
>
>_______________________________________________
>Ospf-manet mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/ospf-manet
>
>
>End of Ospf-manet Digest, Vol 15, Issue 7
>*****************************************

Aniket Desai
Modeling Engineer,
Models Research and Development
OPNET Technologies Inc.
7255 Woodmont Avenue, suit 445,
Bethesda, MD 20814
(240) 497 3000 (ext 2409)
www.opnet.com

====================================================
Register for OPNETWORK 2007 (Aug 27 - 31, Washington, DC)
http://www.opnet.com/opnetwork2007
====================================================
====================================================
Register for OPNET Technology Workshops!
http://www.opnet.com/news/events/online_tech_wrkshop.html
====================================================

_______________________________________________
Ospf-manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ospf-manet